/***********************************************************

	pic18dml.h

	Version 1.00: 2009/10/10

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC18DML_H_
#define PIC18DML_H_

#ifdef USE_DML

/* ドットの表示色指定 */
#define  DML_DOT_BLACK  0b00
#define  DML_DOT_RED  0b01
#define  DML_DOT_GREEN  0b10
#define  DML_DOT_ORANGE  0b11


void DML_init(BYTE, BYTE, BYTE, BYTE, BYTE, BYTE) ;
#if defined(SR_DAT)
void DML_initDefault(void) ;
#endif

void DML_clear(void) ;
void DML_plot(int, int, BYTE) ;

void SEG7_write(int, BYTE) ;


/* ダイナミック表示の更新処理：ユーザは基本的に利用しない */
void isr_DML_update(void) ;

#endif /*USE_DML*/

#endif /*PIC18DML_H_*/
